Jumat, 28 Februari 2014

Cara Upgrade PHP 5.2.17 Ke PHP 5.3.3 Pada Kloxo CentOs


Bagi anda yang menggunakan kloxo untuk panel VPS dan mencoba menginstall joomla! versi 3.1 maka akan keluar tulisan "Your host needs to use PHP 5.3.1 or higher to run this version of Joomla!". Ini dikarenakan versi standar php di kloxo adalah 5.2.17.
Berikut cara singkat Upgrade PHP 5.2.17 Ke PHP 5.3.3 Pada Kloxo CentOs,
1. Cek update dengan
yum check-update php
yum update php
2. Kemudian cek versi php anda biar lebih jelas dengan
php -v
3. Akan muncul tulisan seperti ini
PHP 5.2.17 (cli) (built: Feb 16 2012 23:29:39)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies
4. Yang harus anda lakukan adalah menghapus / remove dulu php versi lama
yum remove php
yum remove php-common
5. Dan terakhir tinggal mengeksekusi dengan perintah
yum install php53
yum install php53-mysql
6. Reboot vps cek versi php lagi
php -v
7. Akan keluar seperti di bawah
PHP 5.3.3 (cli) (built: Oct  1 2013 18:32:37)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
Selamat mencoba bro... :)
Load disqus comments

1 komentar: